
def word2vec_example(input_text, vector_size=100, window_size=5):
    from gensim.models import Word2Vec
    import jieba

    # Split the input text into sentences and then into words using jieba
    processed_text = jieba.cut(input_text)
    sentences = list(processed_text)

    # Train a Word2Vec model
    model = Word2Vec(sentences, vector_size=vector_size, window=window_size, min_count=1)

    # Return the trained model
    return model



